{: test a compilation error occurs for a incomplete type declaration }
{see also test e018}

{$d+}
program e027( output );

type t1 =                { !!! incomplete type declaration }
   t2 = array[0..9] of integer;

var
   i : integer;
   r : record
          case boolean of
            true : (ma, mb : array[1..10] of real);
            false: (mx     : array[1..10] of real);
       end;
begin {e027}

   for i := 1 to 10 do r.ma[i] := i+9;
   r.mb := r.ma;  {OK}

   writeln( 'fails: incomplete type declaration error not detected' );

end. {e027}

